package com.evobms.project.vehicledata.service;

import java.util.Date;
import java.util.List;

import com.evobms.project.vehicledata.domain.HomeDashboardDTO;
import com.evobms.project.vehicledata.domain.VehicleData;

/**
 * 整车数据Service接口
 *
 * @author 田志阳
 * @date 2025-11-15
 */
public interface IVehicleDataService
{
    /**
     * 查询整车数据
     *
     * @param id 整车数据主键
     * @return 整车数据
     */
    public VehicleData selectVehicleDataById(Long id);

    /**
     * 查询整车数据列表
     *
     * @param vehicleData 整车数据
     * @return 整车数据集合
     */
    public List<VehicleData> selectVehicleDataList(VehicleData vehicleData);

    /**
     * 新增整车数据
     *
     * @param vehicleData 整车数据
     * @return 结果
     */
    public int insertVehicleData(VehicleData vehicleData);

    /**
     * 修改整车数据
     *
     * @param vehicleData 整车数据
     * @return 结果
     */
    public int updateVehicleData(VehicleData vehicleData);

    /**
     * 批量删除整车数据
     *
     * @param ids 需要删除的整车数据主键集合
     * @return 结果
     */
    public int deleteVehicleDataByIds(Long[] ids);

    /**
     * 删除整车数据信息
     *
     * @param id 整车数据主键
     * @return 结果
     */
    public int deleteVehicleDataById(Long id);

    List<VehicleData> selectByDeviceAndStartTime(String deviceId, Date startTime);

    VehicleData selectLatestByDeviceId(String deviceId);

    HomeDashboardDTO getHomeDashboard();
}
